> For a complete page index, fetch https://developer.close.com/llms.txt

# Create a task

POST https://api.close.com/api/v1/task/
Content-Type: application/json

Provide the type of task to be created in the `_type` field. Currently only tasks of type `lead` and `outgoing_call` can be created.

Reference: https://developer.close.com/api/resources/tasks/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /task/:
    post:
      operationId: create
      summary: Create a task
      description: >-
        Provide the type of task to be created in the `_type` field. Currently
        only tasks of type `lead` and `outgoing_call` can be created.
      tags:
        - subpackage_tasks
      parameters:
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tasks_create_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    tasks_create_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: tasks_create_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.close.com/api/v1/task/"

payload = {
    "_type": "lead",
    "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
    "date": "2013-02-06",
    "is_complete": False,
    "lead_id": "lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc",
    "text": "Connect with Account Manager"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/task/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"_type":"lead","assigned_to":"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA","date":"2013-02-06","is_complete":false,"lead_id":"lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc","text":"Connect with Account Manager"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/task/"

	payload := strings.NewReader("{\n  \"_type\": \"lead\",\n  \"assigned_to\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"date\": \"2013-02-06\",\n  \"is_complete\": false,\n  \"lead_id\": \"lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc\",\n  \"text\": \"Connect with Account Manager\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/task/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"_type\": \"lead\",\n  \"assigned_to\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"date\": \"2013-02-06\",\n  \"is_complete\": false,\n  \"lead_id\": \"lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc\",\n  \"text\": \"Connect with Account Manager\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/task/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"_type\": \"lead\",\n  \"assigned_to\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"date\": \"2013-02-06\",\n  \"is_complete\": false,\n  \"lead_id\": \"lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc\",\n  \"text\": \"Connect with Account Manager\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/task/', [
  'body' => '{
  "_type": "lead",
  "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date": "2013-02-06",
  "is_complete": false,
  "lead_id": "lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc",
  "text": "Connect with Account Manager"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/task/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"_type\": \"lead\",\n  \"assigned_to\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"date\": \"2013-02-06\",\n  \"is_complete\": false,\n  \"lead_id\": \"lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc\",\n  \"text\": \"Connect with Account Manager\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```